6.0.0-git
2019-03-21

[#11808] Activesync access to GAL from device
Summary Activesync access to GAL from device
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester horde (at) albasoft (dot) com
Created 2012-12-03 (2299 days ago)
Due
Updated 2012-12-07 (2295 days ago)
Assigned
Resolved 2012-12-07 (2295 days ago)
Milestone
Patch Yes

History
2012-12-07 18:13:56 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2012-12-04 02:31:39 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 227b42be5a480c3b92fb74ea8f794a068b5d0682
Author: horde@albasoft.com <horde@albasoft.com>
Date:   Mon Dec 3 21:29:46 2012 -0500

     Bug: 11808  Fix GAL searching.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  .../Core/lib/Horde/Core/ActiveSync/Connector.php   |    7 ++++---
  1 files changed, 4 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/227b42be5a480c3b92fb74ea8f794a068b5d0682
2012-12-03 18:12:24 horde (at) albasoft (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Activesync access to GAL from device
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
I can't access gal from an iPhone.
I get no error, but every search returns no results.

Searching the code, I've found that maybe there are some problems 
accessing to GLOBAL vars.
These changes at Horde/Core/ActiveSync/Connector.php solved the problem:

--- pear/php/Horde/Core/ActiveSync/Connector.php.ori        2012-12-03 
19:10:13.190379525 +0100
+++ pear/php/Horde/Core/ActiveSync/Connector.php        2012-12-03 
19:10:47.109137698 +0100
@@ -298,13 +298,14 @@
       */
      public function contacts_search($query)
      {
-        if (!empty($GLOBALS['conf']['gal']['addressbook'])) {
-            $fields = array($GLOBALS['conf']['gal']['addressbook'] => 
array('firstname', 'lastname', 'alias', 'name', 'email'));
+        $gal = $this->contacts_getGal();
+        if (!empty($gal)) {
+            $fields = array($gal => array('firstname', 'lastname', 
'alias', 'name', 'email'));
              $opts = array(
                  'fields' => $fields,
                  'matchBegin' => true,
                  'forceSource' => true,
-                'sources' => array($this->contacts_getGal())
+                'sources' => array($gal)
              );
              return $this->_registry->contacts->search($query, $opts);
          }

Saved Queries